namespace _2024._01._06;

class Program
{
    static void Main(string[] args)
    {
        // System.Console.WriteLine("Adj meg egy felhasználónevet!");
        // string felhasznalonev = Console.ReadLine();

        // System.Console.WriteLine("Adj meg egy email címet!");
        // string email = Console.ReadLine();

        // System.Console.WriteLine("Adj meg egy jelszót!");
        // string jelszo = Console.ReadLine();

        // System.Console.WriteLine("Adj hozzá egy szerepet! (Admin/Felhasználó)");
        // string szerep = Console.ReadLine();

        // Felhasznalo felhasznalo = new Felhasznalo(felhasznalonev, email, jelszo, szerep);

        // felhasznalo.KiirAdatok();
        
    //     List<string> termekeklist = new List<string>();
    //     List<double> kglist = new List<double>();

    //     System.Console.WriteLine("Adj meg egy terméket (alma, banán, körte, répa, burgonya)");
    //     string termek = Console.ReadLine();
    //     termekeklist.Add(termek);

    //     System.Console.WriteLine("Hány kilót szeretnél venni belóle?");
    //     double kg = double.Parse(Console.ReadLine());
    //     kglist.Add(kg);

    //     System.Console.WriteLine("Ennyit szeretnél venni (igen/nem)");
    //     string valasz = Console.ReadLine();


    //     if (valasz.ToLower() == "nem")
    //     {
    //         while (valasz.ToLower() == "nem")
    //         {
    //             System.Console.WriteLine("Adj meg egy terméket (alma, banán, körte, répa, burgonya)");
    //             termek = Console.ReadLine();
    //             termekeklist.Add(termek);

    //             System.Console.WriteLine("Hány kilót szeretnél venni belóle?");
    //             kg = double.Parse(Console.ReadLine());
    //             kglist.Add(kg);

    //             System.Console.WriteLine("Ennyit szeretnél venni? (igen/nem)");
    //             valasz = Console.ReadLine();
    //             if (valasz.ToLower() == "igen")
    //             {
    //                 break;
    //             }
    //         }
    //     }

    //     Termek termekek = new Termek(termekeklist, kglist);
    //     termekek.Kiiras();


        Dictionary<string, Dictionary<string, string>> eremenyek = new Dictionary<string, Dictionary<string, string>>();
        Dictionary<string, string> belsodict = new Dictionary<string, string>();



        System.Console.WriteLine("Mi a tanuló keresztneve?");
        string tanulo = Console.ReadLine();

        System.Console.WriteLine("Melyik tantárgyból érte el a jegyet?");
        string tantargy = Console.ReadLine();

        System.Console.WriteLine("Hanyast ért el?");
        string jegy = Console.ReadLine();

        System.Console.WriteLine("Ennyi tantárgyat szeretnél hozzáadni? (igen/nem)");
        string valasztantargy = Console.ReadLine();

        belsodict.Add(tantargy, jegy);

        
        while (valasztantargy.ToLower() == "nem")
        {
            System.Console.WriteLine("Melyik tantárgyból érte el a jegyet?");
            tantargy = Console.ReadLine();

            System.Console.WriteLine("Hanyast ért el?");
            jegy = Console.ReadLine();

            System.Console.WriteLine("Ennyi tantárgyat szeretnél hozzáadni? (igen/nem)");
            valasztantargy = Console.ReadLine();

            belsodict.Add(tantargy, jegy);
        }

        System.Console.WriteLine("Ennyi diákot szeretnél hozzáadni? (igen/nem)");
        string valasztanulo = Console.ReadLine();

        Dictionary<string, string> belsodictmasolat = new Dictionary<string, string>(belsodict);

        eremenyek.Add(tanulo, belsodictmasolat);
        belsodict.Clear();

        foreach (var kvp in belsodict)
        {
            Console.WriteLine($"{kvp.Key}: {kvp.Value}");
        }
        while (valasztanulo.ToLower() != "igen")
        {

            System.Console.WriteLine("Mi a tanuló keresztneve?");
            tanulo = Console.ReadLine();

            System.Console.WriteLine("Melyik tantárgyból érte el a jegyet?");
            tantargy = Console.ReadLine();

            System.Console.WriteLine("Hanyast ért el?");
            jegy = Console.ReadLine();

            System.Console.WriteLine("Ennyi tantárgyat szeretnél hozzáadni? (igen/nem)");
            valasztantargy = Console.ReadLine();

            belsodict.Add(tantargy, jegy);

            while (valasztantargy.ToLower() == "nem")
            {
                System.Console.WriteLine("Melyik tantárgyból érte el a jegyet?");
                tantargy = Console.ReadLine();

                System.Console.WriteLine("Hanyast ért el?");
                jegy = Console.ReadLine();

                System.Console.WriteLine("Ennyi tantárgyat szeretnél hozzáadni? (igen/nem)");
                valasztantargy = Console.ReadLine();

                belsodict.Add(tantargy, jegy);
            }

            System.Console.WriteLine("Ennyi diákot szeretnél hozzáadni? (igen/nem)");
            valasztanulo = Console.ReadLine();

            belsodictmasolat = new Dictionary<string, string>(belsodict);

            eremenyek.Add(tanulo, belsodictmasolat);
        }

        Tanulo tanulok = new Tanulo(eremenyek);
        tanulok.Kiiras();
    }
}
